import { MouseEvent, TouchEvent } from 'react';
import { ElementSizePosition, ClientPosition } from 'utils/types';
export declare type WrapperElement<T extends HTMLElement> = {
    node: T | null;
    size: ElementSizePosition;
    clientPosition: ClientPosition;
    updateAnimationId: number | null;
    scale: number;
};
declare type DOMSupportedEvent = Event | MouseEvent<HTMLDivElement> | TouchEvent<HTMLDivElement> | DeviceOrientationEvent;
export declare type SupportedEvent = DOMSupportedEvent | CustomEvent<CustomEventType>;
declare type DOMEventType = 'touchmove' | 'mousemove' | 'deviceorientation';
export declare type CustomEventType = 'autoreset' | 'initial' | 'propChange';
export declare type EventType = DOMEventType | CustomEventType;
export {};
